/*
** Module   : TriggerMatch.java
** Abstract : simple container for the result of a trigger lookup
**
** Copyright (c) 2015, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- -------------------------------Description--------------------------------
** 001 GES 20150128 First version.
*/

package com.goldencode.p2j.ui;

import java.io.Serializable;

/**
 * Contains an event code and a trigger ID that define the result of a trigger lookup result.
 */
public class TriggerMatch
implements Serializable
{
   /** The event code matched in the lookup. */
   public int eventId = -1;
   
   /** Trigger ID found as a match. */
   public int triggerId = -1;
   
   /**
    * Create an instance for a given event code.
    *
    * @param    eventId
    *           The event code that is the subject of the lookup request.
    */
   public TriggerMatch(int eventId)
   {
      this.eventId = eventId;
   }
}
